`timescale 1ns / 1ps

//@Fs{wHw@HwȂRNO@HwII@QlvWFNg
//@쐬F@2013/6/3@ҁFBasys2+ISEp
//  CF@2017/4/27 ҁFBasys3{VivadoɑΉ
//
//@47ZOgLED\H(gbv)
//
// W[FTop7SEG
//
// ́F
// @CLK = NbN(100MHz)
//  RESET = Zbg(1̎Zbgj
//  [7:0] SW = \l̕ωXs[h
// óF
//  [11:0] SEG = 47ZOgLED̕\pM

module Top7SEG(
    input CLK,
    input RESET,
	 input [7:0] SW,
	 output [11:0] SEG
    );
	 
	 reg [24:0] div_counter;
	 reg [15:0] counter;
	 wire [3:0] digit_0;
	 wire [3:0] digit_1;
	 wire [3:0] digit_2;
	 wire [3:0] digit_3;

	Display7SEG display (
		.CLK(CLK),
		.RESET(RESET),
		.DIGIT_0(digit_0),
		.DIGIT_1(digit_1),
		.DIGIT_2(digit_2),
		.DIGIT_3(digit_3),
		.SEG(SEG)
		);
		
	always @(posedge CLK)
        begin 
            if(RESET)
                div_counter <= 0;
            else
                if(div_counter[24] == 1)
                    div_counter <= 0;
                else
                    div_counter <= div_counter + SW;
        end
    
            
        always @(posedge CLK)
        begin
        if(RESET)
            counter <= 0;
        else
            if(div_counter[24] == 1)
                counter <= counter + 1;
        end


	assign digit_0 = counter[15:12];
	assign digit_1 = counter[11:8];
	assign digit_2 = counter [7:4];
	assign digit_3 = counter [3:0];


endmodule
